Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.gc
Class GCPastImpl.ReplicaMap

    java.lang.Object
      rice.p2p.past.gc.GCPastImpl.ReplicaMap

Enclosing class:
  GCPastImpl

protected class GCPastImpl.ReplicaMap
extends java.lang.Object

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh

Field Summary
`protected java.util.HashMap` | `map` DESCRIBE THE FIELD

Constructor Summary
`protected` | `GCPastImpl.ReplicaMap()`

Method Summary
`void` | `addReplica(NodeHandle handle, GCId id)` Adds a feature to the Replica attribute of the ReplicaMap object
`GCIdSet` | `getIds(NodeHandle replica)` Gets the Ids attribute of the ReplicaMap object
`java.util.Iterator` | `getReplicas()` Gets the Replicas attribute of the ReplicaMap object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    protected java.util.HashMap map

  DESCRIBE THE FIELD

Constructor Detail

### GCPastImpl.ReplicaMap

    protected GCPastImpl.ReplicaMap()

Method Detail

### getReplicas

    public java.util.Iterator getReplicas()

  Gets the Replicas attribute of the ReplicaMap object

  Returns:
    The Replicas value

### getIds

    public GCIdSet getIds(NodeHandle replica)

  Gets the Ids attribute of the ReplicaMap object

  Parameters:
    `replica` - DESCRIBE THE PARAMETER
  Returns:
    The Ids value

### addReplica

    public void addReplica(NodeHandle handle,
                           GCId id)

  Adds a feature to the Replica attribute of the ReplicaMap object

  Parameters:
    `handle` - The feature to be added to the Replica attribute
    `id` - The feature to be added to the Replica attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.